org.apache.jmeter.visualizers

## Class RenderAsBoundaryExtractor

- java.lang.Object
- - org.apache.jmeter.visualizers.RenderAsBoundaryExtractor

All Implemented Interfaces:
  ActionListener, EventListener, ResultRenderer

    public class RenderAsBoundaryExtractor
    extends Object
    implements ResultRenderer, ActionListener

Implement ResultsRender for Boundary Extractor tester

### Constructor Summary

Constructors
Constructor and Description
`RenderAsBoundaryExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Display the response as text or as rendered HTML.
`void` `clearData()`
`void` `init()`
`void` `renderImage(SampleResult sampleResult)`
`void` `renderResult(SampleResult sampleResult)`
`void` `setBackgroundColor(Color backGround)`
`void` `setLastSelectedTab(int index)`
`void` `setRightSide(JTabbedPane side)`
`void` `setSamplerResult(Object userObject)`
`void` `setupTabPane()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenderAsBoundaryExtractor

    public RenderAsBoundaryExtractor()

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Display the response as text or as rendered HTML. Change the text on the button appropriate to the current display.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the ActionEvent being processed

#### clearData

    public void clearData()

Specified by:
  `clearData` in interface `ResultRenderer`

#### init

    public void init()

Specified by:
  `init` in interface `ResultRenderer`

#### setupTabPane

    public void setupTabPane()

Specified by:
  `setupTabPane` in interface `ResultRenderer`

#### setLastSelectedTab

    public void setLastSelectedTab(int index)

Specified by:
  `setLastSelectedTab` in interface `ResultRenderer`

#### setRightSide

    public void setRightSide(JTabbedPane side)

Specified by:
  `setRightSide` in interface `ResultRenderer`

#### setSamplerResult

    public void setSamplerResult(Object userObject)

Specified by:
  `setSamplerResult` in interface `ResultRenderer`

#### renderResult

    public void renderResult(SampleResult sampleResult)

Specified by:
  `renderResult` in interface `ResultRenderer`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ResultRenderer`
Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox

#### renderImage

    public void renderImage(SampleResult sampleResult)

Specified by:
  `renderImage` in interface `ResultRenderer`

#### setBackgroundColor

    public void setBackgroundColor(Color backGround)

Specified by:
  `setBackgroundColor` in interface `ResultRenderer`